Get validator rewards from a nominator pool
Return validator rewards from the specified nominator pool.
X-API-Key<token>
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Query Parameters
validator*string
Validator address in any form.
pool*string
Pool address in any form.
start_utime?integer
Query rewards with a timestamp at or after the specified timestamp.
end_utime?integer
Query rewards with a timestamp at or before the specified timestamp.
limit?integer
Limit the number of rows to return.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v3/staking/nominatorPools/validatorRewards?validator=string&pool=string"{
"address_book": {
"property1": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
},
"property2": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
}
},
"end_utime": 0,
"rewards": [
{
"balance_before": "string",
"cycle_start": 0,
"query_id": "string",
"reward": "string",
"tx_hash": "string",
"tx_lt": "0",
"utime": 0
}
],
"start_utime": 0,
"total_on_page": "string"
}{
"error": "string"
}{
"error": "string"
}